# -*- coding: UTF-8 -*-
# Copyright 2020 Xiaomi, Inc.
# Author: pengyongyi@xiaomi.com

from password_strength import PasswordPolicy


def check_password_strength(password):
  policy = PasswordPolicy.from_names(
    length=8, uppercase=1, nonletters=1)
  return ['%s at least %d' % (r.name(), r.length if r.name() == 'length' else r.count)
          for r in policy.test(password)]
